Bug 207309 - net-mgmt/net-snmp netsnmp_assert appears in log
Summary: net-mgmt/net-snmp netsnmp_assert appears in log
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-18 15:16 UTC by Rick Miller
Modified: 2018-01-13 00:27 UTC (History)
1 user (show)

See Also:
zi: maintainer-feedback+


Attachments
netsnmp_assert mitigation patch (https://sourceforge.net/p/net-snmp/code/ci/333aea41eb8bcdb9afae6bb89f3581f8e70ee830) (1.12 KB, patch)
2016-02-18 15:16 UTC, Rick Miller
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Miller 2016-02-18 15:16:31 UTC
Created attachment 167153 [details]
netsnmp_assert mitigation patch (https://sourceforge.net/p/net-snmp/code/ci/333aea41eb8bcdb9afae6bb89f3581f8e70ee830)

The following message may be observed while using net-snmp agentx protocol:

net-snmp: <snmp>: NOTICE: netsnmp_assert 1 == new_val->high failed int64.c:370 netsnmp_c64_check32_and_update()

There is no stop or crash of the systemstatd thread after observing this behavior suggesting this is not a real assert.

A mitigating patch has been committed upstream.  A net-mgmt/net-snmp patch has been tested and attached to this PR.

Original patch located at:

https://sourceforge.net/p/net-snmp/code/ci/333aea41eb8bcdb9afae6bb89f3581f8e70ee830
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2016-02-19 00:34:31 UTC
Approved
Comment 2 w.schwarzenfeld freebsd_triage 2018-01-13 00:27:30 UTC
This patch seems never committed. Will not apply at least cause the portrevision is 17. Is this still relevant?